Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Interface OrderConstants

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface OrderConstants

This class consists of certain constants related to Order

Field Summary
`static int` | `LINE_SHIPPING` Deprecated See BEA Commerce product offering
`static int` | `LINE_TAX` Deprecated See BEA Commerce product offering
`static int` | `LINE_UNIT_PRICE_TIMES_QUANTITY` Deprecated See BEA Commerce product offering
`static int` | `ORDER_SHIPPING` Deprecated See BEA Commerce product offering
`static String` | `ORDER_STATUS_NEW` Deprecated See BEA Commerce product offering

Field Detail

### ORDER_STATUS_NEW

    static final String ORDER_STATUS_NEW

  Deprecated See BEA Commerce product offering
  Order status string at the time they are created.

  See Also
    Constants Summary

### LINE_UNIT_PRICE_TIMES_QUANTITY

    static final int LINE_UNIT_PRICE_TIMES_QUANTITY

  Deprecated See BEA Commerce product offering
  Constant to denote that the total returned from getTotal() or getLineTotal() should include the sum of unit price times the quanity.

  See Also
    Constants Summary

### LINE_SHIPPING

    static final int LINE_SHIPPING

  Deprecated See BEA Commerce product offering
  Constant to denote that the total returned from getTotal() or getLineTotal() should include order line level shipping

  See Also
    Constants Summary

### LINE_TAX

    static final int LINE_TAX

  Deprecated See BEA Commerce product offering
  Constant to denote that the total returned from getTotal() or getLineTotal() should include order line level tax

  See Also
    Constants Summary

### ORDER_SHIPPING

    static final int ORDER_SHIPPING

  Deprecated See BEA Commerce product offering
  Constant to denote that the total returned from getTotal() or getLineTotal() should include order level shipping

  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved